Subject: Re: QEMU limitations, was Re: [PATCH v4] powerpc: Use shared font data

From: "Dr. David Alan Gilbert" <[email-masked]>
Date: Wed, 5 Nov 2025 14:58:10 +0000

(Copying Mark Cave-Ayland in - see below)

* Finn Thain ([email-masked]) wrote:
> 
> On Mon, 3 Nov 2025, Finn Thain wrote:
> 
> > > OK, remember I don't think I've ever tried PPC via MacOS booting, so 
> > > not familiar with it.
> > > 
> > 
> > I will try to set up a MacOS guest in QEMU, to see if the hang can be 
> > reproduced that way.
> > 
> 
> QEMU appears to be incompatible with the Old World ROM from the Beige G3. 
> 'qemu-system-ppc -M g3beige -bios 78F57389.ROM -serial stdio' drops into a 
> ROM diagnostic menu and won't boot.
> 
> I did get 'qemu-system-ppc -M mac99 ...' to boot into MacOS 9, by using 
> OpenBIOS instead of Apple firmware. Unforunately, BootX is not compatible 
> with this configuration, so it won't help.
> 
> BootX is compatible with beige powermacs, but 'qemu-system-ppc -M g3beige' 
> with OpenBIOS fails to boot MacOS 9 ("MacOS: unable to find an interrupt 
> controller node").
> 
> OpenBIOS wouldn't boot a MacOS 8.1 CD-ROM either, but for different 
> reasons: both mac99 and g3beige failed with "No valid state has been set 
> by load or init-program".

Thanks for trying,

I've copied Mark Cave-Ayland from Qemu in; he's down as the g3beige
maintainer in qemu, he might have a hint.

Dave

-- 
 -----Open up your eyes, open up your mind, open up your code -------   
/ Dr. David Alan Gilbert    |       Running GNU/Linux       | Happy  \ 
\        dave @ treblig.org |                               | In Hex /
 \ _________________________|_____ http://www.treblig.org   |_______/